<html>
<head>
<title>DiveShop Customer Details</title>
</head>
<body bgcolor=#FFFFFF >
<CENTER>
<font size=+2 face="arial,helvetica">Customer Details</font>
<p>
</center>

<?php
   /* display_errors "stdout"; */
   /*error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);*/

include 'msqlini.php';

$mysqli = new mysqli($host,$user,$pw,$dbname);

if ($mysqli->connect_error) {
   echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;	
}

/* echo "<br> CUSTID IS... "; */

$cust_id = $_GET["cust_id"];

$cust_id = mysql_real_escape_string($cust_id);

/* echo "$cust_id"; */

/* start first prepared statement */
$stmt = $mysqli->stmt_init();

if ($stmt->prepare("SELECT * FROM DIVECUST where Customer_No= ? ")) {

  if (!$stmt->bind_param("i", $cid)) {
    echo "Binding parameters failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  $cid = $cust_id;

  if (!$stmt->execute()) {
       echo "Execute failed: (" . $stmt->errno . ") " . $stmt->error;
  }      
  $stmt->bind_result($custid,$name,$street,$city,$state,$zip,$country,$phone,
$contact); 

  while ($stmt->fetch()) {
    echo "<br>Customer ID: $custid";
    echo "<br>Name: <font size=+1><b>$name</b></font>";
    echo "<br>Street: $street";
    echo "<br>City: $city";
    echo "<br>State: $state";
    echo "<br>ZIP: $zip";
    echo "<br>Country: $country";
    echo "<br>Phone: $phone";
    echo "<br>Date of first contact: $contact";
  }
  $stmt->close();
}


$stmt2 = $mysqli->stmt_init(); 

if ($stmt2->prepare("SELECT o.Order_No, o.Sale_Date, o.Ship_Via, o.PaymentMethod, o.CcNumber, o.CcExpDate, o.No_Of_People, o.Depart_Date, o.Return_Date, o.Destination, o.VacationCost FROM DIVEORDS o WHERE o.Customer_No= ? ")) {

  if (!$stmt2->bind_param("i", $cid)) {
    echo "Binding parameters failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  $cid = $cust_id;

  if (!$stmt2->execute()) {
    echo "Execute failed: (" . $stmt->errno . ") " . $stmt->error;
  }

  $stmt2->bind_result($orderno,$saledate,$ship,$payment,$ccn,$ccx,$num_people,$departdate,$returndate,$dest,$vaccost);
	
  while ($stmt2->fetch()) {	
    echo "<p>";
    echo "<font size=+1>Order number <b>$orderno</b></font>";
    echo "<br>Sold on $saledate ";
    echo "to be delivered by $ship ";
    echo "<br>";
    if ($payment == "Cash" || $payment == "Money Order" || $payment == "Check") { 
      echo "Customer is paying by $payment";
    }
    else {
      echo "Customer is paying by $payment Card number ";
      echo "$ccn ";
      echo "exp. $ccx";
    }
    echo "<br> ";
    echo "Vacation Destination is <b>$dest</b> for";
    $tmp = $num_people;
    if ($tmp == 1) {
      echo " <b>$tmp</b> person";
    }
    else {
      echo " <b>$tmp</b> people";
    }
    echo "<br>";
    echo "departing on $departdate and returning on $returndate";
    echo "<br>";
    echo "Travel cost estimated at $vaccost";
    echo "<p>";
  }
  $stmt2->close();
}  

$stmt3 = $mysqli->stmt_init(); 

if ($stmt3->prepare("SELECT o.VacationCost, o.Order_No, i.Rental_Sale, i.Qty, i.Line_Note, s.Description, s.Sale_Price*i.Qty as s_price, s.Rental_Price*i.Qty as r_price FROM DIVEORDS o, DIVEITEM i, DIVESTOK s WHERE o.Customer_No=? AND o.order_no = i.order_no AND i.item_no = s.item_no")) {
  
  if (!$stmt3->bind_param("i", $cid)) {
    echo "Binding parameters failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  $cid = $cust_id;
  
  if (!$stmt3->execute()) {
    echo "Execute failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  
  $stmt3->bind_result($vcost,$orderno,$rent,$qty,$note,$desc,$sprice,$rprice);
  
  echo "<table border=0 cellpadding=2 cellspacing=2 width=90%>";
  echo "<tr>";
  echo "<td>Order</td>";
  echo "<td>Quantity</td>";
  echo "<td>Description</td>";
  echo "<td>Notes</td>";
  echo "<td>Rental/Sale</td>";
  echo "<td>Price</td>";
  echo "</tr>";
  echo "<tr><td colspan=7>";
  echo "<hr width=100% noshade>";
  echo "</td></tr>";
  
  
  while ($stmt3->fetch()) {    
    $rs = $rent;
    echo "<tr>";
    echo "<td>$orderno</td>";
    echo "<td>$qty</td>";
    echo "<td>$desc</td>";
    echo "<td>$note</td>";
    echo "<td>$rs</td>";
    if ($rs == "Rental") {
      echo "<td>$rprice</td>";
    }
    else {
      echo "<td>$sprice</td>";
    }
    echo "</tr>";
  }
  
  echo "</table>";
  echo "<p>";

  $stmt3->close();
  
}

$stmt4 = $mysqli->stmt_init(); 

if ($stmt4->prepare("SELECT AVG(o.VacationCost) as vcost, SUM(s.Sale_Price*i.Qty) as tot_s_price, SUM(s.Rental_Price*i.Qty) as tot_r_price FROM DIVEORDS o, DIVEITEM i, DIVESTOK s WHERE o.Customer_No=? AND o.Order_No = i.Order_No AND i.Item_No = s.Item_No")) {

  if (!$stmt4->bind_param("i", $cid)) {		
    echo "Binding parameters failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  $cid = $cust_id;
  
  if (!$stmt4->execute()) {
    echo "Execute failed: (" . $stmt->errno . ") " . $stmt->error;
  }
  
  $stmt4->bind_result($vc,$tsp,$trp);
  
  while ($stmt4->fetch()) {	
    
    echo "<font size=+1>";
    if ($rent == "Rental") {	
      echo "Total equipment rental price = $$trp : ";
      echo "Estimated vacation cost = $$vc";
      $tot = $vc + $trp;
      echo "<br>Total estimated cost = $$tot";
    }
    else {
      echo "Total equipment sale price = $$tsp : ";
      echo "Estimated vacation cost = $$vc ";
      $tot = $vc + $tsp;
      echo "<br>Total estimated cost = $$tot";
    }
    echo "</font>";
  }

  $stmt4->close();
 }  

$mysqli->close();

      
?>

</body>
</html>
